Skip to main content
POST
/
user
/
address
Add a shipping address
curl --request POST \
  --url https://store.salesive.com/api/v1/user/address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-shop-id: <api-key>' \
  --data '
{
  "name": "Jane Smith",
  "phone": "+2348099887766",
  "email": "jane@example.com",
  "address": "12 Marina Road",
  "city": "Lagos",
  "state": "Lagos",
  "zipCode": "100001",
  "country": "Nigeria",
  "latitude": 6.5244,
  "longitude": 3.3792,
  "landmark": "<string>",
  "isDefault": false
}
'
{}

Request

POST /user/address
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Content-Type: application/json

{
    "name": "Jane Smith",
    "phone": "+2348099887766",
    "address": "12 Marina Road",
    "city": "Lagos",
    "state": "Lagos",
    "country": "Nigeria",
    "isDefault": false
}

Body parameters

FieldTypeDescription
namestringRequired. Recipient name (2–100 chars).
phonestringRequired. Contact phone (6–30 chars).
emailstringOptional. Recipient email.
addressstringOptional. Street address.
citystringOptional.
statestringOptional.
zipCodestringOptional.
countrystringOptional.
latitudenumberOptional. -90 to 90.
longitudenumberOptional. -180 to 180.
landmarkstringOptional.
isDefaultbooleanOptional. Make this the default address.

Successful response

{
    "status": 200,
    "success": true,
    "message": "Address added successfully",
    "data": {
        "address": {
            "_id": "651f8a9b2c3d4e5f60718300",
            "user": "651f8a1b2c3d4e5f60718293",
            "name": "Jane Smith",
            "phone": "+2348099887766",
            "address": "12 Marina Road",
            "city": "Lagos",
            "state": "Lagos",
            "country": "Nigeria",
            "isDefault": false,
            "createdAt": "2026-06-18T03:21:00.000Z",
            "updatedAt": "2026-06-18T03:21:00.000Z"
        }
    }
}

Error response

{
    "status": 400,
    "success": false,
    "message": "\"phone\" is required",
    "data": {}
}

Authorizations

Authorization
string
header
required

JWT issued by the Salesive Store API for authenticated shoppers.

x-shop-id
string
header
required

Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.

Headers

x-shop-id
string

Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.

Body

application/json
name
string
required
Example:

"Jane Smith"

phone
string
required
Example:

"+2348099887766"

email
string<email>
Example:

"jane@example.com"

address
string
Example:

"12 Marina Road"

city
string
Example:

"Lagos"

state
string
Example:

"Lagos"

zipCode
string
Example:

"100001"

country
string
Example:

"Nigeria"

latitude
number
Example:

6.5244

longitude
number
Example:

3.3792

landmark
string
isDefault
boolean
Example:

false

Response

Address added.

The response is of type object.